Summary:	X.org input driver for Elographics touchscreen devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla ekranów dotykowych Elographics
Name:		xorg-driver-input-elographics
Version:	1.4.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-input-elographics-%{version}.tar.xz
# Source0-md5:	1461469be7b0c00091aecd2618bad4d9
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:  rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.10.0
BuildRequires:	xz
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Elographics touchscreen devices. E271-2210 and
E271-2200 devices are supported. E281-2310 and compatible devices are
supported with some features unavailable.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla ekranów dotykowych Elographics.
Obsługiwane są urządzenia E271-2210 i E271-2200, natomiast E281-2381 i
kompatybilne są obsługiwane bez niektórych możliwości.

%prep
%setup -q -n xf86-input-elographics-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/xorg/modules/input/elographics_drv.so
%{_mandir}/man4/elographics.4*
%changelog
* Sat Mar 02 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-elographics.git;a=log;h=master

* Sat Mar 02 2024 Jakub Bogusz <qboosh@pld-linux.org> 5a0ff86
- updated to 1.4.4

* Thu Dec 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 0f17195
- updated to 1.4.3
- removed obsolete am patch

* Wed Jun 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 76c2f56
- updated to 1.4.2

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 159b6ac
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f8e3e74
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d5f25c
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f1b6e2
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 2ca2f8d
- release 5 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> c35edb1
- fix building with latest automake
- rel 4

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 42667f3
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e05376c
- release 2 (by relup.sh)

* Tue Aug 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 5ef73b9
- updated to 1.4.1

* Mon Jul 30 2012 Jakub Bogusz <qboosh@pld-linux.org> baa314b
- updated to 1.4.0

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0885a37
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ffa90ee
- release 2

* Tue Jun 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 4835406
- updated to 1.3.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 306ddbc
- release 2

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> f57be95
- updated to 1.2.4

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e75245a
- release 3

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d5c9aa7
- release 2

